
Error Handling API

This API allows you to gather the information contained in the
LoadLeveler error object and output that information as an error
message.

ll_error subroutine

Purpose

This routine converts a LoadLeveler error object to an error message
string. As an option, you can print the error message string to stdout
or stderr.

Library

LoadLeveler API library libllapi.a (AIX) or libllapi.so (Linux)

Syntax

#include "llapi.h"

char *ll_error (LL_element **errObj, int print_to);

Parameters

errObj
   This is the address of a pointer to a LoadLeveler error object.

print_to
   
      1 - print error message to stdout
      2 - print error message to stderr
      Any other value - no error message printed

Description

It is caller's responsibility to free the storage associated with the
error message string.

The LoadLeveler error object pointed to by *errObj is deleted upon exit
and NULL is assigned to *errObj.

Return values

The ll_error API returns a pointer to an error message string.

Error values

The ll_error API returns a NULL if the error object is NULL.
