
llrmres - Cancel a reservation

Purpose

llrmres - Cancels a reservation in LoadLeveler. 

Syntax
   
llrmres { -? | -H | -v | [-q] { [-u user_list] [-g group_list] 
        [-h host_list] | [-R  {all|reservation_list}] } }

Flags
    
-?
   Provides a short usage message.

-H
   Provides extended help information.

-v
   Displays the name of the command, release number, service level, 
   service level date, and lowest level of the operating system to run 
   this release.

-q
   Specifies quiet mode: print no messages other than error messages.

-u user_list 
   Specifies a blank-delimited list of user IDs. Reservations to be 
   canceled are owned by one of these users.

-g group_list   
   Specifies a blank-delimited list of LoadLeveler groups. Reservations 
   to be canceled are owned by one of these groups.

-h host_list
   Specifies a blank-delimited list of machines. Reservations to be 
   canceled use one or more of these machines.

-R {all | reservation_list}
   Specifies a blank-delimited list of reservation IDs to be canceled.  
   A LoadLeveler administrator can specify the reserved word all to 
   cancel all reservations in the system.  Nonadministrators can 
   specify the reserved word all to cancel all of the reservations that 
   they own. Input for the reservation IDs take the form [host.]rid[.r]
   where: 
   *  host - Is the name of the schedd machine to which the reservation 
      was submitted. The default is the local machine.
   *  rid - Is the ID assigned to the reservation when it was created. 
      A reservation ID is required.
   *  r - Indicates that this is a reservation ID (r is optional).

Description

The llrmres command is for LoadLeveler administrators and owners of a 
reservation. Owners of a reservation can cancel their own reservation.  
A LoadLeveler administrator can cancel any reservation. The state of a 
job step will not be changed directly by the cancellation of a 
reservation. Reservations satisfying all criteria specified by the -u, 
-g, and -h flags will be canceled if more than one of these options are 
present. The llqres command can be used to see the status of the 
reservation.

This command is for the BACKFILL scheduler only.

Examples

1. To request to cancel all reservations owned by user ID iris that use 
   machine c188f2n01, issue the following command.  Note that this 
   request can be made either by an administrator or the user iris.
   
   llrmres -u iris -h c188f2n01

   You should receive a response similar to the following:
   
   The request to remove reservations has been sent to the central 
   manager.

2. To request that the LoadLeveler administrator cancel all 
   reservations, issue:
   
   llrmres -R all

   You should receive a response similar to the following: 

   The request to remove reservations has been sent to the central 
   manager.

Security

LoadLeveler administrators and users can issue this command.
