
llsubmit - Submit a job

Purpose

Submits a job to LoadLeveler to be dispatched based upon job 
requirements in the job command file.

You can submit both LoadLeveler jobs and NQS jobs. To submit NQS jobs, 
the job command file must contain the shell script to be submitted to 
the NQS node.

Syntax

llsubmit [-H] [-?] [-v] [-q] [<cmdfile> | - ]

Flags

-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, service level, 
   service level date, and lowest level of the operating system to run 
   this release.

-q 
   Specifies quiet mode: print no messages other than error messages.

cmdfile
   Is the name of the job command file containing LoadLeveler commands.

-  
   Specifies that LoadLeveler commands that would normally be in the job 
   command file are read from stdin. When entry is complete, press 
   Ctrl-D to end the input.

Related Information

*  Users with uid or gid equal to 0 are not allowed to issue the 
   llsubmit command.
*  When a LoadLeveler job ends, you may receive UNIX mail notification 
   indicating the job exit status. For example, you could get the 
   following mail message:
   
   Your LoadLeveler job
   myjob1
   exited with status 139.

   The return code 139 is from the user's job, and is not a LoadLeveler 
   return code.

*  For information on writing a program to filter job scripts when they 
   are submitted, see LoadLeveler: Using and Administering.
*  The llsubmit command will display an error and fail to submit the 
   job if the resources keyword in the job command file does not match 
   the resources to be enforced and LoadLeveler is set to check for the 
   resources specification. For more information, see the discussion of
   defining consumable resources in LoadLeveler: Using and 
   Administering.
*  If the LL_RES_ID environment variable is set, the llsubmit command 
   will set the requested reservation ID of the submitted job steps 
   using the value of the LL_RES_ID environment variable. When the 
   central manager receives the job steps from the schedd, it will 
   bind the job steps to a reservation, if specified. If the job steps 
   cannot be bound to the reservation, they will be placed in the 
   NotQueued state and the requested reservation ID will keep the same 
   value. If the value of LL_RES_ID is set to blank, it will be treated 
   as if it were unset.
*  If unspecified, default requirements are added to jobs requiring that 
   the architecture and operating systems of machines selected to run 
   the job be the same as those on the submitting machine.  If you want 
   to submit a job from one type of machine (for example, one with  
   Arch = R6000 and OpSys = AIX52) to run on another type of machine 
   (for example, one with Arch = i386 and OpSys = Linux2), you must 
   specify a requirements statement that includes the  Arch and OpSys
   requirements.  The explicitly coded Arch and OpSys requirements
   override the default values.

For LoadLeveler for Linux, the llsubmit command will display an
error and fail to submit the job if it is an NQS job.

Examples

In this example, a job command file named qtrlyrun.cmd is submitted:

llsubmit qtrlyrun.cmd

Results

The following shows the results of the llsubmit qtrlyrun.cmd command 
issued from the machine earth: 

llsubmit: The job "earth.505" has been submitted.

Note that 505 is the job ID generated by LoadLeveler.

Security

LoadLeveler administrators and users can issue this command.
