#! /bin/ksh
#
# This script compiles 2 programs:
#
#   1. ll_get_machine_list: This program queries LoadLeveler for information
#      about the machines that LoadLeveler has selected to run the tasks of a
#      job step.
#
#   2. ivp: A simple MPI application.
#

# Export MODEFLAGS & WORDSIZE if building for 64-bit POWER systems running Linux
#export MODEFLAGS=-m64
#export WORDSIZE=64

# We assume that LoadLeveler has been installed at: /opt/ibmll/LoadL/full
# The path /usr/lib64 is only used for 64-bit systems
g++ $MODEFLAGS -o ll_get_machine_list -I/opt/ibmll/LoadL/full/include -L/usr/lib$WORDSIZE -lllapi ll_get_machine_list.c

# We assume that MPICH 1.2.5 has been installed at: /usr/local/mpich-1.2.5

export MPICH_DIR=/usr/local/mpich-1.2.5

$MPICH_DIR/bin/mpicc -o ivp -I$MPICH_DIR/include ivp.c

