
llcancel - Cancel a submitted job

Purpose

Cancels one or more jobs from the LoadLeveler queue.

Syntax

llcancel [-?] [-H] [-v] [-q] [-u userlist] [-h hostlist] [joblist]

Flags 

-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, service level, 
   service level date, and lowest level of the operating system to run 
   this release.

-q 
   Specifies quiet mode: print no messages other than error messages.

-u userlist
   Is a blank-delimited list of users. When used with the -h option,
   only the user's jobs monitored on the machines in the hostlist are 
   canceled. When used alone, only the user's jobs monitored by the 
   machine issuing the command are canceled.

-h hostlist
   Is a blank-delimited list of machine names. All jobs monitored on
   machines in this list are canceled. When issued with the -u option,
   the userlist is used to further select jobs for cancellation.

joblist
   Is a blank-delimited list of jobs of the form host.jobid.stepid 
   where: 
   *  host is the name of the schedd machine to which the job was
      submitted (delimited by dot). The default is the local machine.
   *  jobid is the job ID assigned to the job when it was submitted 
      using the llsubmit command. The jobid is required.
   *  stepid (delimited by dot) is the step ID assigned to the job when
      it was submitted using the llsubmit command. The default is to 
      include all steps of the job.

The -u or -h flags override the joblist parameter.

When the -h flag is specified by a non-administrator, all jobs submitted 
from the machines in hostlist by the user issuing the command are 
canceled.

When the -h flag is specified by an administrator, all jobs submitted by 
the administrator are canceled, unless the -u is also specified, in 
which case all jobs both submitted by users in userlist and monitored on 
machines in hostlist are canceled.

Group administrators and class administrators are considered normal 
users unless they are also LoadLeveler administrators.

Description

When you issue llcancel, the command is sent to the negotiator.  You 
should then use the llq command to verify your job was canceled. A job 
state of CA (Canceled) indicates the job was canceled. A job state of RP 
(Remove Pending) indicates the job is in the process of being canceled.

When cancelling a job from a submit-only machine, you must specify the 
machine name that scheduled the job. For example, if you submitted the 
job from machine A, a submit-only machine, and machine B, a scheduling 
machine, scheduled the job to run, you must specify machine B's name in 
the cancel command. If machine A and B are in different sub-domains, you 
must specify the fully-qualified name of the job in the cancel command. 
You can use the llq -l command to determine the fully-qualified name of 
the job.

Examples

1. This example cancels the job step 3 that is part of the job 18 that 
   is scheduled by the machine named bronze:
   
   llcancel bronze.18.3

2. This example cancels all the job steps that are a part of job 8 that
   are scheduled by the machine named gold. 

   llcancel gold.8

Results

The following shows a sample system response for the llcancel gold.8 
command. 

llcancel: Cancel command has been sent to the central manager.

Security

LoadLeveler administrators and users can issue this command.
