
llclass - Query class information

Purpose

Returns information about classes.

Syntax

llclass [-?] [-H] [-v] [ -l] [classlist]

Flags

-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, service level, 
   service level date, and lowest level of the operating system to run
   this release.

-l 
   Specifies that a long listing be generated for each class for which 
   status is requested. If -l is not specified, then the standard 
   listing is generated.

classlist
   Is a blank-delimited list of classes for which you are requesting 
   status. If no classlist is specified, all classes are queried.

If you have more than a few classes configured for LoadLeveler, consider 
redirecting the output to a file when you use the -l flag.

Examples

This example generates a long listing for classes named silver and gold:

llclass -l silver gold

Results

The Standard Listing: The standard listing is generated when you do not 
specify -l with the llclass command.

The standard listing includes the following fields: 

Name     The name of the class.

MaxJobCPU
         The hard job CPU limit of job steps for the specified class. 
	 For a description of the job CPU limit for serial and parallel 
	 job steps, see the description of the job command keyword 
	 job_cpu_limit in LoadLeveler: Using and Administering.

MaxProcCPU
         The hard CPU limit for the processes of the job steps of the 
	 specified class.

Free Slots
         The number of initiators (slots) available for the specified 
	 class in the LoadLeveler cluster. A serial job step uses one 
	 initiator at run time. A parallel job step with N tasks uses N 
	 initiators at run time.

Max Slots
         The number of configured initiators (slots) for the specified 
	 class in the LoadLeveler cluster.

Description
         Lists the information provided in the class_comment keyword for 
	 the specified class. The class_comment keyword is defined in 
	 the class stanza of the LoadLeveler administration file.

The Long Listing: The long listing is generated when you specify the -l 
option on the llclass command.

The long listing includes these fields: 

Admin    The list of administrators for the specified class.

Class_ckpt_dir
         The name of the directory containing the checkpointing files of 
	 job steps of the specified class.

Class_comment
         Lists the information provided in the class_comment keyword for 
	 the specified class. The class_comment keyword is defined in 
	 the class stanza of the LoadLeveler administration file.

Ckpt_limit
         Hard and soft checkpoint limits of a job step of the specified 
	 class.

Core_limit
         The hard and soft core size limits of processes of job steps of 
	 the specified class.

Cpu_limit
         The hard and soft CPU limits of processes of job steps of the 
	 specified class.

Data_limit
         The hard and soft data area limits of processes of job steps of 
	 the specified class.

Exclude_Groups
         Groups who are not allowed to submit jobs of the specified 
	 class.

Exclude_Users
         Users who are not permitted to submit jobs of the specified 
	 class.

Execution_factor
         Obsolete keyword.

Free_slots
         The number of available initiators (slots) for the specified 
	 class in the LoadLeveler cluster. A serial job step uses one 
	 initiator of the appropriate class at run time. A parallel job 
	 step with N tasks uses N initiators at run time.

File_limit
         The hard and soft file size limits of processes of job steps of 
	 the specified class.

Include_Groups
         Groups having permission to submit jobs of the specified class.

Include_Users
         Users who are permitted to submit jobs of the specified class.

Job_cpu_limit
         The hard and soft job CPU limits of job steps of the specified 
	 class.  For a description of the job CPU limit for serial and 
	 parallel job steps, see the description of the job command 
	 keyword job_cpu_limit in LoadLeveler: Using and Administering.

Maximum_slots
         The total number of configured initiators (slots) for the
         specified class in the LoadLeveler cluster.

Maxjobs  
         The maximum number of job steps of the specified class that can 
	 run at any time in the LoadLeveler cluster.

Max_processors
         The maximum number of processors than can be used for a 
	 parallel job step of the specified class.

Max_total_tasks
         Used for Gang and Backfill scheduling only.  Max_total_tasks 
	 sets the maximum number of tasks allowed to run at any given 
	 time for job steps of the specified class in the LoadLeveler 
	 cluster.

Max_proto_instances
         The maximum number of protocol instances allowed for a job 
	 step of the specified class.

Name     The name of the class

Nice     The nice value of jobs of the specified class.

NQS_class
         Indicates whether this class is a gateway for an NQS system.

NQS_query
         The NQS queues to query where the job has been dispatched.

NQS_submit
         The NQS queue where the job will be submitted.

Preempt_class
         Used for Gang and Backfill scheduling only, Preempt_class sets 
	 the preemption rule for job steps of the specified class.

Priority The system priority of the specified class relative to other 
         classes.

Resource_requirement
         The default consumable resource requirements for job steps of 
	 the specified class.

Rss_limit
         The hard and soft rss size limits of processes of job steps of 
	 the specified class.

Stack_limit
         The hard and soft stack size limits of processes of job steps  
	 of the specified class.

Start_class
         Used for Gang and Backfill scheduling only, Start_class sets 
	 the starting rule for job steps of the specified class.

Wall_clock_limit
         The hard and soft wall clock (elapsed time) limits of job steps 
	 of the specified class.

Related Information

Each machine periodically updates the central manager with a snapshot of 
its environment. Since the information returned by llclass is a 
collection of these snapshots, all taken at varying times, the total 
picture may not be completely consistent.

Security

LoadLeveler administrators and users can issue this command.
